Subject: Re: [bug#41874] [PATCH] gnu: wireshark: Lookup 'dumpcap' in PATH.

From: Mathieu Othacehe <[email-masked]>
Date: Sun, 05 Jul 2020 11:57:55 +0200

Hello Brice,

> Together with https://issues.guix.info/41763 this patch allow to use wireshark
> as a non-root user be adding the following to your “oeprating-system-services“
> field:
>
> (simple-service 'wireshark-group account-service-type
>                    (list (user-group (name "wireshark") (system? #t))))
> (simple-service 'wireshark-dumpcap setuid-program-service-type
>                    (list (list (file-append wireshark "/bin/dumpcap")
>                                "root" "wireshark")))

When this mechanism will be pushed, we could maybe update wireshark
package description to refer to this "trick". In the meantime your patch
looks good to me.

Thanks,

Mathieu